// Copyright (c) 2024 Codemongous LLC. All Rights Reserved.

#include "SCW_UK2Node_AssignDelegate.h"
#include "K2Node_AssignDelegate.h"
#include "SourcifyCoreUEWrapperModule.h"

using namespace Sourcify;

SCW_UK2Node_AssignDelegate::SCW_UK2Node_AssignDelegate(UK2Node_AssignDelegate* InK2Node_AssignDelegate) : SCW_UK2Node_AddDelegate(InK2Node_AssignDelegate), K2Node_AssignDelegate(InK2Node_AssignDelegate)
{

}

UK2Node_AssignDelegate* SCW_UK2Node_AssignDelegate::ToUK2Node_AssignDelegate() const
{
	return K2Node_AssignDelegate;
}

ISCW_UK2Node_AssignDelegatePtr SCW_UK2Node_AssignDelegate::ToUK2NodePtr()
{
	return GetSharedThisAs<SCW_UK2Node_AssignDelegate>();
}

ISCW_UK2Node_AssignDelegateConstPtr SCW_UK2Node_AssignDelegate::ToUK2NodePtr() const
{
	return GetSharedThisAs<SCW_UK2Node_AssignDelegate>();
}